package com.diagbot.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 住院病历信息
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Data
public class BehosDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 出生日期
     */
    private Date birthday;

    /**
     * 档案号
     */
    private String fileCode;

    /**
     * 病区名称
     */
    private String wardName;

    /**
     * 住院科室名称
     */
    private String behDeptName;

    /**
     * 床位号
     */
    private String bedCode;

    /**
     * 入院时间
     */
    private Date behospitalDate;

    /**
     * 出院时间
     */
    private Date leaveHospitalDate;

    /**
     * 疾病名称
     */
    private String diagnose;

    /**
     * 医生姓名
     */
    private String doctorName;

    /**
     * 年龄
     */
    private Integer age;

}
