package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 住院病历信息
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@TableName("med_behospital_info")
@Data
public class BehospitalInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 出生日期
     */
    private Date birthday;

    /**
     * 档案号
     */
    private String fileCode;

    /**
     * 病区编码
     */
    private String wardCode;

    /**
     * 病区名称
     */
    private String wardName;

    /**
     * 住院科室ID
     */
    private String behDeptId;

    /**
     * 住院科室名称
     */
    private String behDeptName;

    /**
     * 床位号
     */
    private String bedCode;

    /**
     * 床位名称
     */
    private String bedName;

    /**
     * 医保类别
     */
    private String insuranceName;

    /**
     * 职业
     */
    private String jobType;

    /**
     * 入院时间
     */
    private Date behospitalDate;

    /**
     * 出院时间
     */
    private Date leaveHospitalDate;

    /**
     * 疾病ICD编码
     */
    private String diagnoseIcd;

    /**
     * 疾病名称
     */
    private String diagnose;

    /**
     * 医生ID
     */
    private String doctorId;

    /**
     * 医生姓名
     */
    private String doctorName;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;
}
