package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.sql.Blob;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@TableName("med_medical_record_content")
@Data
public class MedicalRecordContent implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 病历ID
     */
    private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 文书内容（blob）
     */
    private Blob contentBlob;

    /**
     * 病历文本（文本）
     */
    private String contentText;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

}
