package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 质控评分结果信息
 * 每次评分增加一条信息，前面所有评分is_deleted全部设置为Y
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@TableName("med_qcresult_info")
@Data
public class QcresultInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 等级
     */
    private String level;

    /**
     * 评分类型
     */
    private Integer gradeType;

    /**
     * 页面数据
     */
    private String pageData;

    /**
     * 菜单数据
     */
    private String menuData;

    /**
     * 最后得分
     */
    private BigDecimal scoreRes;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 备注
     */
    private String remark;

}
