package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.AverageStatisticsDTO;
import com.diagbot.entity.HomePage;
import com.diagbot.vo.FilterVO;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
public interface HomePageMapper extends BaseMapper<HomePage> {

    /**
     * 按科室统计平均住院天数
     *
     * @param filterVO
     * @return
     */
    public List<AverageStatisticsDTO> getAverageDayNum(FilterVO filterVO);

    /**
     * 按科室统计平均费用
     *
     * @param filterVO
     * @return
     */
    public List<AverageStatisticsDTO> getAverageFee(FilterVO filterVO);

}
