package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.BehospitalInfoDTO;
import com.diagbot.dto.MsgDTO;
import com.diagbot.dto.ResultDetailDTO;
import com.diagbot.entity.BehospitalInfo;
import com.diagbot.vo.AnalyzeVO;
import com.diagbot.vo.BehospitalPageVO;
import com.diagbot.vo.FilterVO;

import java.util.List;

/**
 * <p>
 * 住院病历信息 服务类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
public interface BehospitalInfoService extends IService<BehospitalInfo> {

    public IPage<BehospitalInfoDTO> getPage(BehospitalPageVO behospitalPageVO);

    public List<MsgDTO> getMsg(AnalyzeVO analyzeVO);

    /**
     * 缺陷排行列表统计
     *
     * @param filterVO
     * @return
     */
    public List<ResultDetailDTO> resultStatistics(FilterVO filterVO);

    /**
     * 各科室缺陷占比
     *
     * @param filterVO
     * @return
     */
    public List<ResultDetailDTO> resultStatisticsByDept(FilterVO filterVO);


    public List<BehospitalInfo> getNoGrade();
}
