package com.diagbot.service;

import com.diagbot.entity.JwtStore;

/**
 * @Description: Token验证类
 * @author: gaodm
 * @time: 2018/10/29 13:35
 */
public interface SysTokenService {

    /**
     * 创建token
     *
     * @param token 用户token
     * @return
     */
    Boolean createToken(JwtStore token);

    /**
     * 验证token是否有效
     *
     * @param token 待验证的token
     * @param type  1:accessToken,2:refreshToken
     * @return
     */
    Boolean verifyToken(String token, Integer type);

    /**
     *  删除用户token
     * @param userId 用户ID
     * @return 删除是否成功
     */
    Boolean deleteToken(String userId);
}
