package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.BehospitalInfoDTO;
import com.diagbot.dto.MsgDTO;
import com.diagbot.dto.ResultDetailDTO;
import com.diagbot.entity.BehospitalInfo;
import com.diagbot.mapper.BehospitalInfoMapper;
import com.diagbot.service.BehospitalInfoService;
import com.diagbot.vo.AnalyzeVO;
import com.diagbot.vo.BehospitalPageVO;
import com.diagbot.vo.FilterVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 住院病历信息 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Service
public class BehospitalInfoServiceImpl extends ServiceImpl<BehospitalInfoMapper, BehospitalInfo> implements BehospitalInfoService {

    @Override
    public IPage<BehospitalInfoDTO> getPage(BehospitalPageVO behospitalPageVO) {
        return baseMapper.getPage(behospitalPageVO);
    }

    @Override
    public List<MsgDTO> getMsg(AnalyzeVO analyzeVO) {
        return baseMapper.getMsg(analyzeVO);
    }

    /**
     * 缺陷排行列表统计
     *
     * @param filterVO
     * @return
     */
    @Override
    public List<ResultDetailDTO> resultStatistics(FilterVO filterVO) {
        return baseMapper.resultStatistics(filterVO);
    }

    /**
     * 各科室缺陷占比
     *
     * @param filterVO
     * @return
     */
    @Override
    public List<ResultDetailDTO> resultStatisticsByDept(FilterVO filterVO) {
        return baseMapper.resultStatisticsByDept(filterVO);
    }

    @Override
    public List<BehospitalInfo> getNoGrade() {
        return baseMapper.getNoGrade();
    }
}