package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.AverageStatisticsDTO;
import com.diagbot.entity.HomePage;
import com.diagbot.mapper.HomePageMapper;
import com.diagbot.service.HomePageService;
import com.diagbot.vo.FilterVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Service
public class HomePageServiceImpl extends ServiceImpl<HomePageMapper, HomePage> implements HomePageService {

    /**
     * 按科室统计平均住院天数
     *
     * @param filterVO
     * @return
     */
    @Override
    public List<AverageStatisticsDTO> getAverageDayNum(FilterVO filterVO) {
        return baseMapper.getAverageDayNum(filterVO);
    }

    /**
     * 按科室统计平均费用
     *
     * @param filterVO
     * @return
     */
    @Override
    public List<AverageStatisticsDTO> getAverageFee(FilterVO filterVO) {
        return baseMapper.getAverageFee(filterVO);
    }
}
